<?php

namespace App\Services;

use App\Owner;
use App\Traits\ServiceAppAop;


class OrderTrackingOwnerService
{
    use ServiceAppAop;
    protected $modelClass=OrderTrackingOwner::class;

    public function getTrackingOrderOwner()
    {
        return Owner::query()
            ->with('orderTrackingOwner')
            ->whereHas('orderTrackingOwner', function ($query) {
                $query->where('status', '启用');
            })->get();
    }
}
